careCycle
CustomersRelationships

List customer relationships

List the customers linked to this customer, with whether each shares this customer's phone number and which one is the number's primary.

GET
/v2/customers/{id}/relationships

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Customer ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/relationships"
{
  "relationships": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
      "relatedCustomerId": "7974cd26-1a75-4947-9970-8d320d03e9cf",
      "relationshipType": "spouse",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "direction": "outgoing",
      "customer": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "firstName": "string",
        "lastName": "string",
        "dateOfBirth": "2019-08-24",
        "callerId": "string",
        "isPhonePrimary": true,
        "sharesPhone": true
      }
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}